# BurgerQuizz - Web: user_dao Class Reference

# user_dao Class Reference

Inheritance diagram for user_dao:

## Public Member Functions

| select ($id)
| Fonction gérant la récupération d'infos.
| insert (&$objet)
| Fonction gérant l'insertion d'un nouvel objet dans la BDD.
| update (&$object)
| Fonction gérant la mise de jour des données.
| updateNoPassword ($object)
| delete ($id)
| Fonction gérant la suppression d'un objet dans la BDD.

## Member Function Documentation

delete | ( | $ | id | ) |

Fonction gérant la suppression d'un objet dans la BDD.

Reimplemented from dao.

insert | ( | &$ | objet | ) |

Fonction gérant l'insertion d'un nouvel objet dans la BDD.

Reimplemented from dao.

select | ( | $ | id | ) |

Fonction gérant la récupération d'infos.

Note:
  l'id est soit l'id (int) soit le login pour user

Reimplemented from dao.

update | ( | &$ | objet | ) |

Fonction gérant la mise de jour des données.

Reimplemented from dao.

updateNoPassword | ( | $ | object | ) |

The documentation for this class was generated from the following file:

- /var/www/Burger-ct-glf/dao/user_dao.php